> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smatvirtual.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Games List



## OpenAPI

````yaml api-reference/openapi.json get /api/v1.1/operator-api/games
openapi: 3.0.0
info:
  title: Smatvirtual Operator API
  description: Smatvirtual Operator API documentation
  version: 1.0.0
  contact:
    name: Smat Virtual
    url: https://smatvirtual.com
    email: support@smatvirtual.com
servers:
  - url: https://api-staging.smatvirtual.com
security:
  - bearerAuth: []
tags: []
paths:
  /api/v1.1/operator-api/games:
    get:
      tags:
        - game-controller
      operationId: getAllGamesPublic
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            default: 10
            example: 10
            type: number
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            default: 1
            example: 1
            type: number
        - name: sort
          required: false
          in: query
          description: Field to sort by
          schema:
            example: name
            type: string
        - name: order
          required: false
          in: query
          description: Sort order
          schema:
            example: ASC
            enum:
              - ASC
              - DESC
            type: string
        - name: search
          required: false
          in: query
          description: Search query
          schema:
            example: example
            type: string
        - name: searchFields
          required: false
          in: query
          description: Fields to search in
          schema:
            default: []
            example:
              - name
              - description
            type: array
            items:
              type: string
      responses:
        '200':
          description: Get all operator available games
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGamePaginatedDto'
      security:
        - sv-api-key: []
components:
  schemas:
    PublicGamePaginatedDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PublicGameTypeDto'
        meta:
          $ref: '#/components/schemas/PaginationMetaResponseDto'
      required:
        - data
    PublicGameTypeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        releaseDate:
          type: string
        baseLaunchUrl:
          type: string
        category:
          type: number
        imageUrl:
          type: string
      required:
        - name
        - releaseDate
        - baseLaunchUrl
        - category
    PaginationMetaResponseDto:
      type: object
      properties:
        currentPage:
          type: number
          description: Current page number
          example: 1
        limit:
          type: number
          description: Total Result Limit
          example: 1
        nextPage:
          type: number
          description: Next page number
          example: 1
        prevPage:
          type: number
          description: Previous page number
          example: 1
        totalElements:
          type: number
          description: Total Items available
          example: 1
        totalPage:
          type: number
          description: Total Pages available
          example: 1
  securitySchemes:
    sv-api-key:
      type: apiKey
      in: header
      name: sv-api-key

````